/*

HXED, Version 2.00, a Hexadecimal Editor for Binary Files
Copyright 1991 Anthony F. Stuart, All rights reserved.

Date    Name	Change
910209	AFS	Initial release

*/


/* Function Prototypes/Declarations */

#ifdef FN_PROTO
x_char	*convert_esc_seq (x_char *, x_char *);
int	 display_byte (x_addr, int);
int	 display_page (x_addr);
int	 format_line (char *, x_addr);
int	 format_addr (char *, x_addr);
int	 get_byte (x_addr);
x_char	*get_byte_addr (x_addr);
char	*get_file_name (char *);
int	 insert_byte_value (x_addr, int);
int	 set_byte_value (x_addr, int);
int	 set_position (x_addr, int);
long	 strtol (char *, char **, int);
int	 update_page (x_addr, x_addr);
#endif

#ifdef FN_NOPROTO
x_char	*get_byte_addr ();
x_char	*convert_esc_seq ();
char	*get_file_name ();
#endif

char	*malloc();
char	*allocate();
BPN	*find_buffer_pool_node();


