/*

HXED, Version 2.00, a Hexadecimal Editor for Binary Files
Copyright 1991 Anthony F. Stuart, All rights reserved.

Date    Name	Change
910209	AFS	Initial release

*/


/* The unix get_keystroke function translates tty key sequences		*/
/* into ms-dos style unique scan codes for processing at higher levels.	*/

#define LEFT	 0x4b		/* left arrow				*/
#define UP	 0x48		/* up arrow				*/
#define RIGHT	 0x4d		/* right arrow				*/
#define DOWN	 0x50		/* down arrow				*/
#define PGUP	 0x49		/* page up key				*/
#define PGDOWN	 0x51		/* page down key			*/
#define DELETE	 0x53		/* delete key				*/
#define INSERT	 0x52		/* insert key				*/
#define HOME	 0x47		/* home key				*/
#define END	 0x4f		/* end key				*/
#define GOTO	 0x22		/* alt-g for goto			*/
#define SEARCH	 0x1f		/* alt-s for search			*/
#define REPLACE	 0x13		/* alt-r for replace			*/
#define SUSPEND	 0x20		/* alt-d for dos			*/
#define WRITE	 0x11		/* alt-w for write			*/
#define HEX	 0x23		/* alt-h for help			*/
#define QUIT	 0x10		/* alt-q for quit			*/
#define HELP	 0x01		/* esc-H for help			*/

#define O_BINARY 0		/* all files are O_BINARY on unix	*/
#define SHELL 	  "/bin/sh"	/* probably should use SHELL env var	*/
#define DEFAULT_ATTR def_attr	/* default attribute is attribute	*/
extern int	  def_attr;	/* for usage info and suspend to shell	*/
