/*

HXED, Version 2.00, a Hexadecimal Editor for Binary Files
Copyright 1991 Anthony F. Stuart, All rights reserved.

Date    Name	Change
910209	AFS	Initial release

*/


/* Text for Help Display */

#ifdef DOS
char *help_text[] = {

	"Ŀ",
	"                \x1a  PgUp  PgDn  Home  End  Delete            ",
	"Ĵ",
	"  Insert = Toggle Insert Mode   Alt-H = Toggle Hex/Ascii Mode  ",
	"Ĵ",
	"  Alt-D = Dos Suspend    Alt-G = Goto Addr     Alt-Q = Quit    ",
	"  Alt-R = Replace        Alt-S = Search        Alt-W = Write   ",
	"Ĵ",
	"  Enter search and replace text as a sequence of one or more   ",
	"  characters and/or escape sequences. Valid escape sequences:  ",
	"        \\n = newline      \\r = return     \\t = tab             ",
	"        \\f = formfeed     \\b = backspace  \\v = vertical tab    ",
	"  Precede octal codes with \\0, decimal codes with \\d, and      ",
	"  hexadecimal codes with \\x, e.g. \\033, \\d27, \\x1b.            ",
	"Ĵ",
	"  For the Goto command (Alt-G), precede octal addresses with 0 ",
	"  and hexadecimal addresses with 0x, e.g. 05317 or 0x2fc3.     ",
	"",

};
#endif

#ifdef UNIX
char *help_text[] = {

	"+--------------------- Cursor Movement ---------------------+",
	"|                                                           |",
	"|   h = move cursor left          l = move cursor right     |",
	"|   j = move cursor down          k = move cursor up        |",
	"|  ^d = move page down           ^u = move page up          |",
	"|  1G = goto top of file          G = goto end of file      |",
	"|   g = get addr and goto        ^l = refresh screen        |",
	"|                                                           |",
	"+---------------------- Mode Selection ---------------------+",
	"|                                                           |",
	"|   o = toggle ins/ovr mode       x = toggle hex/ascii mode |",
	"|   i = enter input mode         ^a = enter edit mode       |",
	"|                                                           |",
	"+----------------------  Miscellaneous ---------------------+",
	"|                                                           |",
	"| /,s = search for text           r = search/replace text   |",
	"|   d = delete char               w = write changes         |",
	"|   ! = suspend to unix           q = quit editor           |",
	"|                                                           |",
	"+-----------------------------------------------------------+",
};
#endif

#define HELP_SZ	(sizeof (help_text)/sizeof (char *))

