/*

HXED, Version 2.00, a Hexadecimal Editor for Binary Files
Copyright 1991 Anthony F. Stuart, All rights reserved.

Date    Name	Change
910209	AFS	Initial release

*/


/* Text for usage message displayed if no arguments specified */

#ifdef DOS
char *usage_text[] = {

	"HXED, Version 2.00, a Hexadecimal Editor for Binary Files",
	"Copyright 1991 Anthony F. Stuart, All rights reserved.",
	"",
	"Usage: HXED [-d<d> -e<e> -u<u> -c<c> -f<c> -h<c> -m<c> -t<c> -bsv] file",
	"",
	"Where: -d<d>  display char for nonprintables    -c<c>  cursor color",
	"       -e<e>  fill char beyond end of file      -f<c>  footer line color",
	"       -u<u>  number of memory buffers          -h<c>  header line color",
	"       -b     create backup file (.bak)         -m<c>  message line color",
	"       -s     be silent about invalid keys      -t<c>  text area color",
	"       -v     use video bios",
	"",
	"Color <c> is specified as a two character sequence. The first character",
	"represents the foreground color. The second character represents the",
	"background color. Colors are abbreviated:",
	"",
	"       b = blue,    g = green,  c = cyan,  r = red,",
	"       m = magenta, y = yellow, w = white, k = black",
	"",
	"For example, to specify a text area of white on black, use -twk",
};
#endif

#ifdef UNIX
char *usage_text[] = {

	"HXED, Version 2.00, a Hexadecimal Editor for Binary Files",
	"Copyright 1991 Anthony F. Stuart, All rights reserved.",
	"",
	"Usage: hxed [-d<d> -e<e> -u<u> -b] file",
	"",
	"Where: -d<d>  display char for nonprintables",
	"       -e<e>  fill char beyond end of file",
	"       -u<u>  number of memory buffers",
	"       -b     create backup file (.bak)",
	"",

};
#endif 

#define USAGE_SZ  ((sizeof usage_text) / (sizeof (char *)))

